<!DOCTYPE html>
<html lang="ru">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><?php echo $page_title; ?></title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet">
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css" rel="stylesheet">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.4/jquery.min.js"></script>
    <style>
        html, body {
            height: 100%;
        }
        body {
            display: flex;
            align-items: center;
            justify-content: center;
            background: linear-gradient(135deg, #667eea 0%, #764ba2 100%);
            padding: 20px;
        }
        .auth-container {
            width: 100%;
            max-width: 400px;
        }
        .auth-form {
            background-color: rgba(255, 255, 255, 0.9);
            border-radius: 15px;
            padding: 30px;
            box-shadow: 0 10px 30px rgba(0, 0, 0, 0.1);
        }
        .auth-form h2 {
            color: #333;
            text-align: center;
            margin-bottom: 30px;
        }
        .form-control {
            border-radius: 10px;
            padding: 12px;
        }
        .btn-primary {
            border-radius: 10px;
            padding: 12px;
            background-color: #667eea;
            border: none;
            transition: all 0.3s ease;
        }
        .btn-primary:hover {
            background-color: #764ba2;
            transform: translateY(-2px);
        }
        .password-toggle {
            position: absolute;
            right: 10px;
            top: 50%;
            transform: translateY(-50%);
            cursor: pointer;
            transition: all 0.3s ease;
        }
        .password-toggle:hover {
            color: #667eea;
        }
        @keyframes spin {
            0% { transform: translateY(-50%) rotate(0deg); }
            100% { transform: translateY(-50%) rotate(360deg); }
        }
        .password-toggle.spinning {
            animation: spin 1s linear infinite;
        }
    </style>
</head>
<body>
    <div class="auth-container">
        <div class="auth-form">
            <h2><?php echo $form_title; ?></h2>
            <?php if (!empty($error)): ?>
                <div class="alert alert-danger"><?php echo $error; ?></div>
            <?php endif; ?>
            <form id="form" method="POST" action="">
                <?php echo $form_fields; ?>
                <div class="mb-3">
                    <label for="password" class="form-label">Пароль</label>
                    <div class="position-relative">
                        <input type="password" class="form-control" id="password" name="password" required>
                        <i class="password-toggle fas fa-eye"></i>
                    </div>
                </div>
                <button id="button" type="submit" class="btn btn-primary w-100"><?php echo $submit_button; ?></button>
            </form>
            <p class="mt-3 text-center"><?php echo $alternative_action; ?></p>
        </div>
    </div>

    <script>
        $(document).ready(function() {
            $('.password-toggle').click(function() {
                $(this).toggleClass('fa-eye fa-eye-slash spinning');
                var input = $(this).prev('input');
                if (input.attr('type') === 'password') {
                    input.attr('type', 'text');
                } else {
                    input.attr('type', 'password');
                }
                setTimeout(() => {
                    $(this).removeClass('spinning');
                }, 1000);
            });
        });
    </script>
    <script type="text/javascript" src="js/phoneMask.js"></script>
    <script type="text/javascript">
    let firstInput = true;

    document.getElementById('phone').addEventListener('keydown', function(e) {
      if(firstInput && e.key === '8') {
      e.preventDefault();
    } else {
      firstInput = false;
    }
  });
    </script>

   <script type="text/javascript">
    $(function(){
      $("#phone").mask("+7(999)-999-99-99");
    });
    </script>
    <script type="text/javascript">
      $(document).ready(function(){
        $("#form").on("submit", function(e){ // событие нужно не клик, а субмит формы
        $("#button").text("Подождите....!"); // делаем хрень
        $("#button").attr("disabled", "disabled"); // выключаем кнопку
        return true;
        });
      });
    </script>
</body>
</html>
