<?php
require_once 'scripts/dashboard_init.php';
?>

<!DOCTYPE html>
<html lang="ru">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Панель управления</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.7.2/font/bootstrap-icons.css" rel="stylesheet">
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <style>
        body {
            font-family: Arial, sans-serif;
            background-color: #f4f6f9;
        }
        .sidebar {
            min-height: 100vh;
            background-color: #343a40;
            color: #fff;
            padding-top: 20px;
            display: flex;
            flex-direction: column;
        }
        .sidebar .nav-link {
            color: #ced4da;
            padding: 10px 20px;
        }
        .sidebar .nav-link:hover,
        .sidebar .nav-link.active {
            color: #fff;
            background-color: #495057;
        }
        .sidebar .nav-link i {
            margin-right: 10px;
        }
        .content {
            padding: 20px;
        }
        .logout-btn {
            margin-top: auto;
            padding: 10px 20px;
            background-color: #dc3545;
            color: #fff;
            text-decoration: none;
            text-align: center;
        }
        .logout-btn:hover {
            background-color: #c82333;
            color: #fff;
        }
        .main-content {
            background-color: #fff;
            border-radius: 5px;
            box-shadow: 0 0 10px rgba(0,0,0,0.1);
            padding: 20px;
            margin-top: 20px;
        }
    </style>
    <style>
    .modal-content {
        background-color: #f8f9fa;
        border: none;
        border-radius: 15px;
        box-shadow: 0 0 20px rgba(0,0,0,0.1);
    }
    .modal-header {
        border-bottom: none;
        padding: 20px 20px 0 20px;
    }
    .modal-body {
        padding: 20px;
    }
    #audioPlayer {
        background-color: #e9ecef;
        border-radius: 10px;
        padding: 10px;
    }
    .table-hover tbody tr:hover {
        background-color: #f1f3f5;
    }
</style>

</head>
<body>
    <div class="container-fluid">
        <div class="row">
            <nav class="col-md-3 col-lg-2 d-md-block sidebar">
                <div class="position-sticky">
                    <ul class="nav flex-column">
                        <li class="nav-item">
                            <a class="nav-link <?php echo $active_module == 'overview' ? 'active' : ''; ?>" href="?module=overview">
                                <i class="bi bi-house-door"></i> Обзор
                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link <?php echo $active_module == 'tracks' ? 'active' : ''; ?>" href="?module=tracks">
                                <i class="bi bi-music-note-list"></i> Треки
                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link <?php echo $active_module == 'analytics' ? 'active' : ''; ?>" href="?module=analytics">
                                <i class="bi bi-graph-up"></i> Аналитика
                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link <?php echo $active_module == 'profile' ? 'active' : ''; ?>" href="?module=profile">
                                <i class="bi bi-person"></i> Профиль
                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link <?php echo $active_module == 'quiz' ? 'active' : ''; ?>" href="?action=logout">
                                <i class="bi bi-x-octagon"></i> Выйти
                            </a>
                        </li>
                    </ul>
                </div>
            </nav>

            <main class="col-md-9 ms-sm-auto col-lg-10 px-md-4">
                <div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
                    <h1 class="h2">Панель управления</h1>
                    <div class="btn-toolbar mb-2 mb-md-0">
                        <div class="btn-group me-2">
                            <button type="button" class="btn btn-sm btn-outline-secondary">Поделиться</button>
                            <button type="button" class="btn btn-sm btn-outline-secondary">Экспорт</button>
                        </div>
                        <button type="button" class="btn btn-sm btn-outline-secondary dropdown-toggle">
                            <i class="bi bi-calendar"></i> Эта неделя
                        </button>
                    </div>
                </div>

                <div class="main-content">
                    <?php
                    switch ($active_module) {
                        case 'overview':
                            include 'modules/overview.php';
                            break;
                        case 'tracks':
                            include 'modules/tracks.php';
                            break;
                        case 'analytics':
                            include 'modules/analytics.php';
                            break;
                        case 'profile':
                            include 'modules/profile.php';
                            break;
                        default:
                            include 'modules/overview.php';
                    }
                    ?>
                </div>
            </main>
        </div>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"></script>
    <script>
        $(document).ready(function() {
            // Здесь можно добавить дополнительный JavaScript код для интерактивности
        });
    </script>
</body>
</html>
