<h2>Профиль пользователя</h2>

<div class="row">
    <div class="col-md-6">
        <h3>Обновить профиль</h3>
        <form id="update-profile-form">
            <div class="mb-3">
                <label for="name" class="form-label">Имя</label>
                <input type="text" class="form-control" id="name" name="name" value="<?php echo $user['name']; ?>" required>
            </div>
            <div class="mb-3">
                <label for="phone" class="form-label">Телефон</label>
                <input type="tel" class="form-control" id="phone" name="phone" value="<?php echo $user['phone']; ?>" required>
            </div>
            <button type="submit" class="btn btn-primary">Обновить профиль</button>
        </form>
    </div>

    <div class="col-md-6">
        <h3>Изменить пароль</h3>
        <form id="change-password-form">
            <div class="mb-3">
                <label for="current_password" class="form-label">Текущий пароль</label>
                <input type="password" class="form-control" id="current_password" name="current_password" required>
            </div>
            <div class="mb-3">
                <label for="new_password" class="form-label">Новый пароль</label>
                <input type="password" class="form-control" id="new_password" name="new_password" required>
            </div>
            <div class="mb-3">
                <label for="confirm_password" class="form-label">Подтвердите новый пароль</label>
                <input type="password" class="form-control" id="confirm_password" name="confirm_password" required>
            </div>
            <button type="submit" class="btn btn-primary">Изменить пароль</button>
        </form>
    </div>
</div>

<script>
$(document).ready(function() {
    $('#update-profile-form').submit(function(e) {
        e.preventDefault();
        $.ajax({
            url: 'scripts/users_processing.php?action=update_profile',
            type: 'POST',
            data: $(this).serialize(),
            dataType: 'json',
            success: function(response) {
                if (response.status === 'success') {
                    alert(response.message);
                } else {
                    alert('Ошибка: ' + response.message);
                }
            }
        });
    });

    $('#change-password-form').submit(function(e) {
        e.preventDefault();
        if ($('#new_password').val() !== $('#confirm_password').val()) {
            alert('Новые пароли не совпадают');
            return;
        }
        $.ajax({
            url: 'scripts/users_processing.php?action=change_password',
            type: 'POST',
            data: $(this).serialize(),
            dataType: 'json',
            success: function(response) {
                if (response.status === 'success') {
                    alert(response.message);
                    $('#change-password-form')[0].reset();
                } else {
                    alert('Ошибка: ' + response.message);
                }
            }
        });
    });
});
</script>
