<?php
// Файл: scripts/admin_functions.php

function getTracksByStatus($status) {
    global $mysqli;
    $query = "SELECT * FROM tracks WHERE status = ? ORDER BY created_at DESC";
    $stmt = $mysqli->prepare($query);
    $stmt->bind_param("s", $status);
    $stmt->execute();
    $result = $stmt->get_result();
    return $result->fetch_all(MYSQLI_ASSOC);
}

function approveTrack($trackId) {
    global $mysqli;
    $stmt = $mysqli->prepare("UPDATE tracks SET status = 'approved' WHERE id = ?");
    $stmt->bind_param("i", $trackId);
    $result = $stmt->execute();
    if ($result) {
        return ['status' => 'success', 'message' => 'Трек успешно одобрен'];
    } else {
        return ['status' => 'error', 'message' => 'Ошибка при одобрении трека: ' . $mysqli->error];
    }
}

function rejectTrack($trackId, $comment) {
    global $mysqli;
    $stmt = $mysqli->prepare("UPDATE tracks SET status = 'rejected', moderation_comment = ? WHERE id = ?");
    $stmt->bind_param("si", $comment, $trackId);
    return $stmt->execute();
}

function requestChanges($trackId, $comment) {
    global $mysqli;
    $stmt = $mysqli->prepare("UPDATE tracks SET status = 'changes_requested', moderation_comment = ? WHERE id = ?");
    $stmt->bind_param("si", $comment, $trackId);
    $result = $stmt->execute();
    if ($result) {
        return ['status' => 'success', 'message' => 'Запрошены изменения'];
    } else {
        return ['status' => 'error', 'message' => 'Ошибка при запросе изменений: ' . $mysqli->error];
    }
}

function getTrackDetails($trackId) {
    global $mysqli;
    $query = "SELECT * FROM tracks WHERE id = ?";
    $stmt = $mysqli->prepare($query);
    $stmt->bind_param("i", $trackId);
    $stmt->execute();
    $result = $stmt->get_result();
    return $result->fetch_assoc();
}
