<?php
// Файл: scripts/user_logger.php

function logAction($user_id, $action) {
    $log_file = __DIR__ . '/../logs/mainLogs.log';
    $log_entry = date('Y-m-d H:i:s') . " - User ID: $user_id - Action: $action\n";
    file_put_contents($log_file, $log_entry, FILE_APPEND);
}

function logUserAction($user_id, $action, $additional_info = null) {
    global $mysqli;

    $query = "INSERT INTO user_actions (user_id, action, additional_info) VALUES (?, ?, ?)";
    $stmt = $mysqli->prepare($query);
    $stmt->bind_param("iss", $user_id, $action, $additional_info);

    if (!$stmt->execute()) {
        // Обработка ошибки, например, запись в лог ошибок
        error_log("Ошибка при логировании действия пользователя: " . $mysqli->error);
    }

    $stmt->close();
}

// Примеры использования:
// logUserAction($user_id, 'login');
// logUserAction($user_id, 'upload_track', json_encode(['track_id' => $track_id, 'track_name' => $track_name]));
// logUserAction($user_id, 'delete_track', json_encode(['track_id' => $track_id]));
?>
